mozdev.org

Übersetzungen: cz | de | en | es | fr | ja | nl | pl | zh

Plugins und Mozilla Firefox unter Linux

Plugin-Grundlagen

Wohin installiere ich Plugins?

Unter Linux können Plugins in drei verschiedenen Ordner installiert werden:

Normalerweise sollten Sie Plugins in Ihr Firefox-Verzeichnis (Firefox/plugins) installieren. Die Installation in den Profil-Ordner wird nur empfohlen, wenn Sie nicht die nötigen Zugriffsrechte besitzen, die Plugins systemweit zu installieren.

Wie installiere ich den Macromedia Flash Player?

Laden Sie sich Macromedia Flash Player 7 herunter. Packages sind für viele Linux-Distributionen erhältlich. Laden Sie sich das entsprechende Paket herunter und kopieren Sie libflashplayer.so und flashplayer.xpt in das Plugin-Verzeichnis Ihres Browsers.

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Macromedia Flash Player FAQ.

[Download Flash Player 7] [Download Flash Player Packages]

Wie installiere ich Java?

Sollte Ihre Distribution Java noch nicht enthalten, so laden Sie JRE 1.4.2 oder neuer herunter und installieren Sie es. Nachdem JRE installiert wurde, wird ein Terminal geöffnet. Wechseln Sie in Ihr Mozilla Firefox Plugin-Verzeichnis und geben Sie folgende Kommandos ein:

ln -s /usr/java/jre1.5.0_06/plugin/i386/ns7/libjavaplugin_oji.so ./libjavaplugin_oji.so

Sollten Sie Sun JRE 1.5.0_06 nicht verwenden und/oder haben Sie Java an einem anderen Ort installiert, so müssen Sie die Kommandos entsprechend anpassen. Bitte das Plugin nicht kopieren, sonst wird Firefox abstürzen, wenn Sie versuchen, eine Seite, die ein Java Applet enthält, anzuschauen.

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Java FAQ.

[Download Sun JRE 5.0 Update 6]

Wie installiere ich den Acrobat Reader?

Um das Acrobat Reader Plugin zu installieren, kopieren Sie die Datei nppdf.so in ihr Mozilla Plugin-Verzeichnis. Vergewissern Sie sich, dass eine Kopie vom (oder ein Symlink zum) Acroread Startup Script in Ihrem PATH vorhanden ist.

Beachten Sie: Adobe Reader 7.0 enthält ein Script zur Installation des Browser-Plugins, welches jedoch standardmäßig bei der Installation nicht ausgeführt wird. Wenn Sie Adobe Reader ins Standardverzeichnis installiert haben, finden Sie das Script an folgender Stelle:

/usr/local/Adobe/Acrobat7.0/Browser/install_browser_plugin

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Acrobat Reader FAQ.

Wichtig! Alle Nutzer sollten auf Adobe Reader 5.0.10 oder 7.0.1 upgraden, da ältere Versionen des Acrobat Readers Sicherheitslücken beinhalten.

[Download Adobe Reader 7.0.1 (Tarball)] [Download Adobe Reader 7.0.1 (RPM)] [Download Adobe Reader 5.0.10]

Wie installiere ich QuickTime, Shockwave oder andere Windows-Plugins?

Momentan gibt es von QuickTime, Macromedia Shockwave Player und vielen anderen Windows-Browserplugins keine Linuxversionen. Viele Windows-Browserplugins können Sie verwenden, indem Sie das CrossOver Plugin installieren. Bitte beachten Sie, dass es sich um kommerzielle, also nicht kostenlose Software handelt.

Wie installiere ich andere Plugins?

Mozilla Firefox unterstützt alle Plugins, die von Mozilla 1.x unterstützt werden. Für weitere Informationen zur Plugininstallation lesen Sie bitte die PluginDoc für Linux.

Fragen zur Plugin-Unterstützung

Welche Plugins kann ich für Audio- und Videostreaming verwenden?

Die Wahl des verwendeten Plugins hängt vom dem Format der datei, die Sie betrachten bzw. anhören wollen ab. Folgende Plugins können Sie verwenden:

Der mplayer und xine Plugins benötigen eventuell Win32 Codecs. Sollten Sie dazu weitere Informationen benötigen, so lesen Sie bitte die Dokumentationen, die bei ihrem mplayer oder xine mitgeliefert wurden.

Mozilla Firefox fordert mich immer wieder auf Plugins zu installieren. Wie kann ich das unterbinden?

  1. Öffnen Sie about:config, and setzen Sie plugin.default_plugin_disabled auf false.
  2. Löschen Sie die Datei libnullplugin.so aus Ihrem Mozilla Firefox Plugin-Verzeichnis. Sollten Sie von Ihrem Benutzerkonto aus keine Schreibberechtigung für Ihre Mozilla Firefox Installation haben, müssen Sie dazu als root angemeldet sein.

Weitere Hilfe

Meine Frage wurde in dieser FAQ nicht beantwortet. Wo kann ich sie stellen?

Wenn Sie eine Frage haben, die hier nicht geklärt wurde, so durchsuchen Sie bitte das deutsche Mozilla Firefox-Forum um zu sehen, ob das Problem bereits genannt wurde. Sollte dies nicht der Fall sein und hilft Ihnen diese FAQ auch nicht weiter, so können Sie zu Ihrem Problem in diesem Forum einen neuen Beitrag eröffnen.

Wie kann ich bei dieser FAQ mitwirken?

Wenn Sie bei dieser FAQ mitwirken wollen, so schicken Sie bitte eine Email an Michael Hendy (englisch).